# Change the host for your toolchain.
# Or comment to use native building.

# Ubuntu:
host=i586-mingw32msvc
# Gentoo:
# host=i686-pc-mingw32

# Guess the build platform.
build=`mpk-config.guess`

# Some useful mingw 32-bit flags.
CFLAGS='-O3 -s -mms-bitfields -march=i686'
CXXFLAGS=$CFLAGS

# Needed (at least on Ubuntu and Gentoo) so mingw-runtime include files
# can override certain ones provided by mingw-gcc.

case "$host" in
  *mingw*)
# Ubuntu:
    CPPFLAGS=-B/usr/$host
# Gentoo:
#   CPPFLAGS=-B/usr/$host/usr
  ;;
esac

# Place your favorite GNU mirror here.
# gnu_mirror=http://ftp.unicamp.br/pub/gnu

# Full path to the source cache.
# Default: $topdir/sources
# sourcedir=

# Full path to the directory to place the results.
# Default: $topdir/result
# resultdir=

# Full path to the build directory.
# Default: $topdir/build
# builddir=

# Full path to the build recipes directory.
# Default: $prefix/recipes
# recipedir=

# Full path to the patches directory.
# Default: $prefix/patches
# patchdir=
